Skip to main content
GET 

/expired-instruments/future/contract

Get Expired Future Contracts Upstox Plus

API to retrieve expired future contracts for an underlying instrument on a specified expiry date. This API is useful for traders and analysts who want to analyze the historical performance of futures and their underlying assets. By providing the instrument key and expiry date, users can obtain detailed information about the expired futures, including their trading symbols, lot sizes, and other relevant attributes.

Request

curl --location 'https://api.upstox.com/v2/expired-instruments/future/contract?instrument_key=NSE_INDEX%7CNifty%2050&expiry_date=2024-11-27' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'

For additional samples in various languages, please refer to the Sample code section on this page.

Query Parameters

NameRequiredTypeDescription
instrument_keyRequiredstringKey of an underlying instrument. For the regex pattern applicable to this field, see the Field Pattern Appendix.
expiry_dateRequiredstringExpiry date for which expired future contracts are required in format: YYYY-MM-DD.

Responses

Response Body

{
"status": "success",
"data": [
{
"name": "NIFTY",
"segment": "NSE_FO",
"exchange": "NSE",
"expiry": "2025-04-24",
"instrument_key": "NSE_FO|54452|24-04-2025",
"exchange_token": "54452",
"trading_symbol": "NIFTY FUT 24 APR 25",
"tick_size": 10,
"lot_size": 75,
"instrument_type": "FUT",
"freeze_quantity": 1800,
"underlying_key": "NSE_INDEX|Nifty 50",
"underlying_type": "INDEX",
"underlying_symbol": "NIFTY",
"minimum_lot": 75
}
]
}

For additional samples in various languages, please refer to the Sample code section on this page.

Response Body

NameTypeDescription
statusstringA string indicating the outcome of the request. Typically success for successful operations.
dataobjectData object for expired future contracts.
data[].namestringThe name of the future.
data[].segmentstringThe market segment of the future.
Possible values: NSE_EQ, NSE_INDEX, NSE_FO, NCD_FO, BSE_EQ, BSE_INDEX, BSE_FO, BCD_FO, MCX_FO, NSE_COM
data[].exchangestringExchange to which the instrument is associated.
Possible values: NSE, BSE, MCX.
data[].expirystringExpiry date (for derivatives). Date format is YYYY-MM-dd.
data[].instrument_keystringAlso refer to an expired_instrument_key for expired future contract. This is combination of instrument_key and expiry date. For the regex pattern applicable to expired_instrument_key field, see the Field Pattern Appendix.
data[].exchange_tokenstringThe exchange-specific token for the future.
data[].trading_symbolstringThe symbol used for trading the future.
Format: <underlying_symbol> <expiry in dd MMM yy> FUT
data[].tick_sizenumberThe minimum price movement of the future.
data[].lot_sizenumberThe size of one lot of the future.
data[].instrument_typestringThe type of the instrument. For futures, this is always FUT.
data[].freeze_quantitynumberThe maximum quantity that can be frozen.
data[].underlying_keystringThe instrument_key for the underlying asset.
data[].underlying_typestringThe type of the underlying asset, Possible values: COM, INDEX, EQUITY, CUR, IRD.
data[].underlying_symbolstringThe symbol of the underlying asset.
data[].minimum_lotnumberThe minimum lot size for the future.

Sample Code

Get Expired Future Contracts for given instrument with expiry date

curl --location 'https://api.upstox.com/v2/expired-instruments/future/contract?instrument_key=NSE_INDEX%7CNifty%2050&expiry_date=2024-11-27' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'
  • This API is specifically designed for expired future contracts. For current or active instruments, please refer to the Instrument json
  • Before using this API, ensure to check the Get Expiries API to obtain the available expiry dates for the underlying instrument.